class ActionButton
{
  String title;
  String action=''; 
  String url=''; 
  bool showMobile=false;
  ActionButton({this.title, this.action='',this.url='',this.showMobile=false});
  ActionButton.fromJson(dynamic data)
  {
    if(data['url']!=null) url=data['url'];
    if(data['title']!=null) title=data['title'];
    if(data['action']!=null) action=data['action'];
    if(data['showMobile']!=null) showMobile=data['showMobile'];
  }
  dynamic toJson()
  {
    return {
      'url':url,
      'title':title,
      'action':action,
      'showMobile':showMobile,
    };
  }
  static dynamic toJsonList(List<ActionButton> list)
  {
    dynamic resp=[];
    for(var a in list)
    {
      resp.add(a.toJson());
    }
    return resp;
  }
  static List<ActionButton> fromJsonList(dynamic data)
  {
    var l=<ActionButton>[];
    if(data!=null)
      // ignore: curly_braces_in_flow_control_structures
      for(var a in data)
      {
        l.add(ActionButton.fromJson(a));
      }
    return l;
  }
}