

import 'package:origami_telegram/services/stateMachine/actionButton.dart';
import 'package:origami_telegram/services/stateMachine/serviceCall.dart';

class State
{
  String id='';
  String name='';
  String image;
  String text;
  String loading;
  bool deletable=false;
  List<List<ActionButton>> button;
  ServiceCall service;
  String router='';
  bool isInlineButton=false;
  // String defaultState='';
  State();
  State.fromJson(dynamic data)
  { 
    if(data['router']!=null) router=data['router'];
    id=data['id'];
    name=data['name'];
    if(data['text']!=null) text=data['text'];
    if(data['image']!=null) image=data['image'];
    if(data['loading']!=null) loading=data['loading'];
    if(data['isInlineButton']!=null) isInlineButton=data['isInlineButton'];
    if(data['deletable']!=null) deletable=data['deletable'];
    if(data['service']!=null) service=ServiceCall.fromJson(data['service']);
    var l=<List<ActionButton>>[];
    if(data['button']!=null)
    {
      for(var a in data['button'])
      {
        l.add(ActionButton.fromJsonList(a));
      }
    }
    button =l;
  }

  
  static List<State> fromJsonList(dynamic data)
  {
    var l=<State>[];
    if(data!=null)
      // ignore: curly_braces_in_flow_control_structures
      for(var a in data)
      {
        l.add(State.fromJson(a));
      }
    return l;
  }
}